Bug 90150 - RFE: NFS/kickstart requires too many floppy changes
RFE: NFS/kickstart requires too many floppy changes
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-03 10:45 EDT by greg hosler
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 23:13:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description greg hosler 2003-05-03 10:45:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
To do a kickstart of an NFS install, with the ks on the install floppy, the
sequence is as follows:

1) insert install floppy, boot system.
2) enter linux ks=floppy dd
   (dd is necessary due to the network drivers now being on a separate
    floppy)
3) when prompted, remove install floppy, insert drvnet floppy.
4) when asked if there are any more dd floppies, remove floppy and
   re-insert the install floppy BEFORE responding [NO].


failure to make sure that the floppy w/ the ks.cfg file is in the drive before
responding will abort the kick start.

one suggestion is to move any ks.cfg file from the install floppy into /tmp
BEFORE prompting for the removal of the floppy, and insertion of the dd floppy.

a 2nd suggestion is: when looking for the ks file, instead of aborting the
kickstart, have a screen

    insert the floppy with ks.cfg into the drive and press [OK] to
    continue with teh kickstart, or press [CANCEL] to cancel the
    kickstart, and continue with a normal install.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. see above
2.
3.
    

Actual Results:  kick start fails if the floppy w/ ks.cfg is not in the drive
when it is expected to be in the drive. The new breakup of the install floppies,
pretty much guarantees that this will be the case.

Expected Results:  prompt for the ks.cfg floppy.

Additional info:
Comment 1 Jeremy Katz 2003-05-05 11:43:16 EDT
You can actually just boot with 'linux ks=floppy' and the kickstart config gets
loaded off the floppy, you get prompted for the driver disk to get to the
install source and you don't have to do any weird shuffling.

Will look at making things a little more clear
Comment 2 Mike Smith 2003-06-10 23:15:07 EDT
Just to piggy back on this. I opened bug 97164 that kinda touches on this as 
well. We should be able to kickstart with one single disk. 

 I modified the bootdisk.img and added my net driver manually. The installer 
bombs out when I try to force the load of the device via 'device eth 3c59x' in 
the ks.cfg. If I leave out that line, then I get prompted for the net driver 
and I select from the list without swapping floppy's. However ideally the 
installer shouldn't crash, but rather load the driver like it's suppose to and 
every thing is happy. Much like with 7.3 :)

 Just my 2 cents. A better option for kickstarts would be nice. I have to ask. 
Why was it changed away from the bootnet.img and boot.img? That seemed to work 
very well.

 - Mike
Comment 3 Jeremy Katz 2004-10-04 23:13:38 EDT
This is no longer relevant with changes to how you boot current releases.

Note You need to log in before you can comment on or make changes to this bug.